## org.eclipse.emf.common.util
Class BasicMonitor.Printing

    java.lang.Object
      org.eclipse.emf.common.util.BasicMonitor
          org.eclipse.emf.common.util.BasicMonitor.Printing

All Implemented Interfaces:
  Monitor

Enclosing class:
  BasicMonitor

    public static class BasicMonitor.Printing

extends BasicMonitor

A simple monitor that prints progress to a print stream.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.util.BasicMonitor
`BasicMonitor.Delegating, BasicMonitor.EclipseSubProgress, BasicMonitor.Printing`

Field Summary
`protected java.io.PrintStream` `printStream`

Fields inherited from interface org.eclipse.emf.common.util.Monitor
`UNKNOWN`

Constructor Summary
`BasicMonitor.Printing(java.io.PrintStream printStream)`

Method Summary
`void` `beginTask(java.lang.String name, int totalWork)` Called once per instance to indicate the name of the task and its expected duration.
`void` `clearBlocked()` Clears the reason for the activity being blocked.
`void` `setBlocked(Diagnostic reason)` Sets the reason for the activity being blocked.
`void` `setTaskName(java.lang.String name)` Update the task name.
`void` `subTask(java.lang.String name)` Sets the current subtask of the overall task.

Methods inherited from class org.eclipse.emf.common.util.BasicMonitor
`done, getBlockedReason, internalWorked, isCanceled, setCanceled, toIProgressMonitor, toIProgressMonitorWithBlocking, toMonitor, toMonitor, worked`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### printStream

    protected java.io.PrintStream printStream

Constructor Detail

### BasicMonitor.Printing

    public BasicMonitor.Printing(java.io.PrintStream printStream)

Method Detail

### beginTask

    public void beginTask(java.lang.String name,
                          int totalWork)

  Description copied from interface: `Monitor`
  Called once per instance to indicate the name of the task and its expected duration.

  Specified by:
    `beginTask` in interface `Monitor`
  Overrides:
    `beginTask` in class `BasicMonitor`

### setTaskName

    public void setTaskName(java.lang.String name)

  Description copied from interface: `Monitor`
  Update the task name.

  Specified by:
    `setTaskName` in interface `Monitor`
  Overrides:
    `setTaskName` in class `BasicMonitor`

### subTask

    public void subTask(java.lang.String name)

  Description copied from interface: `Monitor`
  Sets the current subtask of the overall task.

  Specified by:
    `subTask` in interface `Monitor`
  Overrides:
    `subTask` in class `BasicMonitor`

### setBlocked

    public void setBlocked(Diagnostic reason)

  Description copied from interface: `Monitor`
  Sets the reason for the activity being blocked.

  Specified by:
    `setBlocked` in interface `Monitor`
  Overrides:
    `setBlocked` in class `BasicMonitor`

### clearBlocked

    public void clearBlocked()

  Description copied from interface: `Monitor`
  Clears the reason for the activity being blocked.

  Specified by:
    `clearBlocked` in interface `Monitor`
  Overrides:
    `clearBlocked` in class `BasicMonitor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.